---
title: FontFace.weight
slug: Web/API/FontFace/weight
tags:
  - API
  - CSS Font Loading API
  - CSSOM
  - FontFace
  - Fonts
  - Property
  - Reference
  - weight
---
<div>{{draft}}{{APIRef("CSS Font Loading API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>weight</code></strong> property of the {{domxref("FontFace")}} interface retrieves or sets the weight of the font. It is equivalent to the {{cssxref("@font-face/font-weight", "font-weight")}} descriptor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var weightDescriptor = FontFace.weight;
FontFace.weight = <em>weightDescriptor</em>;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('CSSOMString')}} containing a descriptor as it would be defined in a style sheet's <code>@font-face</code> rule.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#dom-fontface-weight','weight')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FontFace.weight")}}</p>
